Bug 187996 - autofs not starting with multi option using ldap maps
autofs not starting with multi option using ldap maps
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: autofs (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-05 05:10 EDT by hbabaria
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-09 10:01:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hbabaria 2006-04-05 05:10:59 EDT
Description of problem:
We want to migrate the auto.master file from NIS to use ldap based maps.

/etc/auto.master 
/home  multi file /etc/auto.home -- yp auto.home-test   rw,intr,nosuid,
rsize=16384,wsize=16384,tcp,nfsvers=3,timeo=600

Is the multi option supported with ldap based map ? 

If yes please provide the exact systax to use .

Version-Release number of selected component (if applicable):
autofs-4.1.3-154

This entry works fine.

/home  ldap:nisMapName=auto.home-test,dc=test,dc=com         rw,intr,nosuid,
rsize=16384,wsize=16384,tcp,nfsvers=3,timeo=600

With this entry in /etc/auto.master autofs fails to start.

/home multi file /etc/auto.home ldap:nisMapName=auto.home-test,dc=test,dc=com    
     rw,intr,nosuid,rsize=16384,wsize=16384,tcp,nfsvers=3,timeo=600
Comment 1 Jeffrey Moyer 2006-04-17 18:39:32 EDT
You need to separate each map name in a multi-map entry by a "--".

Try:

/home multi file /etc/auto.home -- ldap:nisMapName=auto.home-test,dc=test,dc=com    
     rw,intr,nosuid,rsize=16384,wsize=16384,tcp,nfsvers=3,timeo=600
Comment 2 Jeffrey Moyer 2006-08-08 15:22:54 EDT
Were you able to try this?
Comment 3 hbabaria 2006-08-09 09:02:04 EDT
This worked for me.

/home multi file /etc/auto.home
rw,intr,nosuid,rsize=16384,wsize=16384,tcp,nfsvers=3,timeo=600 -- ldap
nisMapName=auto.home-test,dc=test,dc=com
rw,intr,nosuid,rsize=16384,wsize=16384,tcp,nfsvers=3,timeo=600

Thanks

Note You need to log in before you can comment on or make changes to this bug.